Add text data-source to chatbot
curl --request POST \
--url https://app.livechatai.com/api/aibot/data-source/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Company Overview",
"content": "Our company specializes in AI-powered chatbot solutions...",
"chatbotId": "c****************1cx4"
}
'import requests
url = "https://app.livechatai.com/api/aibot/data-source/text"
payload = {
"title": "Company Overview",
"content": "Our company specializes in AI-powered chatbot solutions...",
"chatbotId": "c****************1cx4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Company Overview',
content: 'Our company specializes in AI-powered chatbot solutions...',
chatbotId: 'c****************1cx4'
})
};
fetch('https://app.livechatai.com/api/aibot/data-source/text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data Source
Add text data-source to chatbot
deprecated
DEPRECATED: This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Add text data-source to chatbot
POST
/
api
/
aibot
/
data-source
/
text
Add text data-source to chatbot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Text data-source details
Response
Text data-source added successfully
⌘I

